org.h2.engine

## Enum SessionLocal.State

- java.lang.Object
- - java.lang.Enum<SessionLocal.State>
  - - org.h2.engine.SessionLocal.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SessionLocal.State>

Enclosing class:
  SessionLocal

    public static enum SessionLocal.State
    extends java.lang.Enum<SessionLocal.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BLOCKED`
`CLOSED`
`INIT`
`RUNNING`
`SLEEP`
`SUSPENDED`
`THROTTLED`

### Method Summary

All Methods Static Methods Concrete Methods
`static SessionLocal.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionLocal.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INIT

    public static final SessionLocal.State INIT

#### RUNNING

    public static final SessionLocal.State RUNNING

#### BLOCKED

    public static final SessionLocal.State BLOCKED

#### SLEEP

    public static final SessionLocal.State SLEEP

#### THROTTLED

    public static final SessionLocal.State THROTTLED

#### SUSPENDED

    public static final SessionLocal.State SUSPENDED

#### CLOSED

    public static final SessionLocal.State CLOSED

### Method Detail

#### values

    public static SessionLocal.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SessionLocal.State c : SessionLocal.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SessionLocal.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null